commit:     2cf450c9306a99618af5dd566bb5966e2eac8bc3
Author:     Alexey Sokolov <sokolov <AT> google <DOT> com>
AuthorDate: Sun Jun  6 22:12:08 2021 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Tue Jun  8 23:13:42 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2cf450c9

app-misc/OpenRGB: update 9999

Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Alexey Sokolov <alexey+gentoo <AT> asokolov.org>
Closes: https://github.com/gentoo/gentoo/pull/21145
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 app-misc/OpenRGB/OpenRGB-9999.ebuild | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

diff --git a/app-misc/OpenRGB/OpenRGB-9999.ebuild 
b/app-misc/OpenRGB/OpenRGB-9999.ebuild
index 6c5d8e23cd0..c1f1eb4bbcb 100644
--- a/app-misc/OpenRGB/OpenRGB-9999.ebuild
+++ b/app-misc/OpenRGB/OpenRGB-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2020 Gentoo Authors
+# Copyright 2020-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -12,6 +12,9 @@ else
        
SRC_URI="https://gitlab.com/CalcProgrammer1/OpenRGB/-/archive/release_${PV}/OpenRGB-release_${PV}.tar.bz2";
        S="${WORKDIR}/OpenRGB-release_${PV}"
        KEYWORDS="~amd64 ~x86"
+       PATCHES=(
+               "${FILESDIR}"/OpenRGB-0.5-build-system.patch
+       )
 fi
 
 DESCRIPTION="Open source RGB lighting control that doesn't depend on 
manufacturer software"
@@ -24,6 +27,7 @@ RDEPEND="
        dev-qt/qtcore:5
        dev-qt/qtgui:5
        dev-qt/qtwidgets:5
+       net-libs/mbedtls:=
        virtual/libusb:1
 "
 DEPEND="
@@ -34,12 +38,13 @@ BDEPEND="
        virtual/pkgconfig
 "
 
+PATCHES+=(
+       "${FILESDIR}"/OpenRGB-0.6-pkgconf.patch
+)
+
 src_prepare() {
        default
-       rm -r dependencies/{hidapi,libusb,json}* || die
-       if [[ ${PV} != *9999* ]]; then
-               eapply "${FILESDIR}/OpenRGB-0.5-build-system.patch"
-       fi
+       rm -r dependencies/{hidapi,libusb,json,mbedtls}* || die
 }
 
 src_configure() {

Reply via email to